package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.base.BaseIbReportListEntity;
import com.crm.rely.backend.core.pojo.table.SalesDpsVolumeCommissionTable;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@Mapper
public interface SalesDpsVolumeCommissionMapper {

    Integer countSearch(BaseIbReportListEntity entity);

    List<SalesDpsVolumeCommissionTable> listSearch(BaseIbReportListEntity entity);

    SalesDpsVolumeCommissionTable sumSearch(BaseIbReportListEntity entity);

}
